## r-cran-runit 0.4.17

=== DESCRIPTION ===
Package:      RUnit
Version:      0.4.17
Date:         2007/05/21
Title:        R Unit test framework
Author:       Matthias Burger <burgerm@users.sourceforge.net>, Klaus Juenemann <k.junemann@gmx.net>, Thomas Koenig <thomas.koenig@epigenomics.com>
Maintainer:   Matthias Burger <burgerm@users.sourceforge.net>
LazyLoad:     yes
Depends:      R (>= 1.9.0), utils (>= 1.9.0), methods (>= 1.9.0)
Description:  R functions implementing a standard Unit Testing framework, with additional code inspection and report generation tools
License:      GPL 2
URL:          https://sourceforge.net/projects/runit/
Packaged: Mon May 21 13:43:01 2007; burger

## r-cran-runit 0.4.26

=== DESCRIPTION ===
Package: RUnit
Version: 0.4.26
Date: 2010/09/14
Title: R Unit test framework
Author: Matthias Burger <burgerm@users.sourceforge.net>, Klaus
        Juenemann <k.junemann@gmx.net>, Thomas Koenig
        <thomas.koenig@epigenomics.com>
Maintainer: Matthias Burger <burgerm@users.sourceforge.net>
LazyLoad: yes
Depends: R (>= 2.5.0), utils (>= 2.5.0), methods (>= 2.5.0)
Description: R functions implementing a standard Unit Testing
        framework, with additional code inspection and report
        generation tools
License: GPL-2
URL: https://sourceforge.net/projects/runit/
Packaged: 2010-09-15 14:05:48 UTC; burger
Repository: CRAN
Date/Publication: 2010-09-16 08:36:49

=== inst/unitTests/Makefile ===
TOP=../../..
TEST_DIR=$(shell pwd)
INST_PATH=$(shell dirname ${TEST_DIR})
PKG_PATH=$(shell dirname ${INST_PATH})

all: install test

install:
	cd ${TOP}; \
	R CMD INSTALL --clean ${PKG_PATH} && \
	cd ${TEST_DIR}

test:
	R --slave < runalltests.R

## r-cran-runit 0.4.27

=== DESCRIPTION ===
Package: RUnit
Version: 0.4.27
Date: 2014-09-19
Title: R Unit test framework
Author: Matthias Burger <burgerm@users.sourceforge.net>, Klaus
        Juenemann <k.junemann@gmx.net>, Thomas Koenig
        <thomas.koenig@epigenomics.com>
Maintainer: ORPHANED
LazyLoad: yes
Depends: R (>= 2.5.0), utils (>= 2.5.0), methods (>= 2.5.0)
Description: R functions implementing a standard Unit Testing
        framework, with additional code inspection and report
        generation tools
License: GPL-2
Packaged: 2014-09-19 09:49:55 UTC; ripley
NeedsCompilation: no
X-CRAN-Original-Maintainer: Matthias Burger
        <burgerm@users.sourceforge.net>
X-CRAN-Comment: Orphaned and updated by the CRAN team on 2014-09-19 as
        vignette locations were never updated for R 3.1.0.
Repository: CRAN
Date/Publication: 2014-09-19 12:50:28

## r-cran-runit 0.4.31

=== DESCRIPTION ===
Package: RUnit
Version: 0.4.31
Date: 2015-11-05
Title: R Unit Test Framework
Author: Matthias Burger <burgerm@users.sourceforge.net>, Klaus
        Juenemann <k.junemann@gmx.net>, Thomas Koenig
        <thomas.koenig@epigenomics.com>
Maintainer: Roman Zenka <zenka.roman@mayo.edu>
LazyLoad: yes
Depends: R (>= 2.5.0), utils (>= 2.5.0), methods (>= 2.5.0), graphics
        (>= 2.5.0)
Suggests: XML (>= 3.1.0)
Description: R functions implementing a standard Unit Testing
        framework, with additional code inspection and report
        generation tools.
License: GPL-2
NeedsCompilation: no
Packaged: 2015-11-06 03:01:34 UTC; m044910
Repository: CRAN
Date/Publication: 2015-11-06 05:49:48

## r-cran-runit 0.4.32

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RUnit
-Version: 0.4.31
-Date: 2015-11-05
+Version: 0.4.32
+Date: 2018-05-07
 Title: R Unit Test Framework
 Author: Matthias Burger <burgerm@users.sourceforge.net>, Klaus
         Juenemann <k.junemann@gmx.net>, Thomas Koenig
@@ -15,6 +15,6 @@
         generation tools.
 License: GPL-2
 NeedsCompilation: no
-Packaged: 2015-11-06 03:01:34 UTC; m044910
+Packaged: 2018-05-18 16:00:38 UTC; m044910
 Repository: CRAN
-Date/Publication: 2015-11-06 05:49:48
+Date/Publication: 2018-05-18 16:32:53 UTC

=== debian/changelog ===
r-cran-runit (0.4.32-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:57:09 -0500

r-cran-runit (0.4.32-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 14:18:45 -0500

r-cran-runit (0.4.32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 May 2018 20:58:22 -0500

r-cran-runit (0.4.31-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 18:52:22 +0200

r-cran-runit (0.4.31-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #829023)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jul 2016 18:59:11 -0500

r-cran-runit (0.4.31-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Nov 2015 06:45:05 -0600

r-cran-runit (0.4.30-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Oct 2015 19:54:55 -0500

r-cran-runit (0.4.29-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Aug 2015 20:22:27 -0500

r-cran-runit (0.4.28-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Jan 2015 17:40:59 -0600

r-cran-runit (0.4.27-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Sep 2014 11:44:32 -0500

r-cran-runit (0.4.26-2) unstable; urgency=low

  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 09:41:33 -0500

r-cran-runit (0.4.26-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Sep 2010 08:58:43 -0500

r-cran-runit (0.4.25-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Dec 2009 10:07:01 -0600

r-cran-runit (0.4.22-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:30:01 -0600

r-cran-runit (0.4.22-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Apr 2009 10:44:41 -0500

r-cran-runit (0.4.21-1) unstable; urgency=low

  * New upstream release

  * debian/control: Build-Depends: updated to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Jan 2009 15:09:56 -0600

r-cran-runit (0.4.20-1) unstable; urgency=low

  * New upstream release

  * debian/control: Build-Depends: updated to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Nov 2008 15:27:22 -0600

r-cran-runit (0.4.19-1) unstable; urgency=low

  * New upstream release

  * debian/control: Build-Depends: updated to current R version
  * debian/control: Standards-Version: updated to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Jun 2008 15:38:39 -0500

r-cran-runit (0.4.17-1) unstable; urgency=low

  * Initial Debian release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2007 20:27:12 -0500

=== debian/control ===
Source: r-cran-runit
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-runit
Vcs-Git: https://salsa.debian.org/edd/r-cran-runit.git
Homepage: https://cran.r-project.org/package=RUnit

Package: r-cran-runit
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R package providing unit testing framework
 This package implements a standard Unit Testing framework, with
 additional code inspection and report generation tools

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-runit package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RUnit_([-\d\.]*)\.tar.gz

## r-cran-runit 0.4.33

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RUnit
-Version: 0.4.32
-Date: 2018-05-07
+Version: 0.4.33
+Date: 2024-02-09
 Title: R Unit Test Framework
 Author: Matthias Burger <burgerm@users.sourceforge.net>, Klaus
         Juenemann <k.junemann@gmx.net>, Thomas Koenig
@@ -15,6 +15,6 @@
         generation tools.
 License: GPL-2
 NeedsCompilation: no
-Packaged: 2018-05-18 16:00:38 UTC; m044910
+Packaged: 2024-02-22 17:11:58 UTC; m044910
 Repository: CRAN
-Date/Publication: 2018-05-18 16:32:53 UTC
+Date/Publication: 2024-02-22 17:50:02 UTC

=== inst/doc/Makefile ===
##
##  RUnit
##  
##  utility 
##  create PDF document from dvi (usefull if R CMD INSTALL fails to build the pdf)
##  $Id$
##
all:       RUnit.pdf clean
RUnit.pdf: RUnit.ps
	ps2pdf  -dEncodeColorImages=false -dColorImageFilter=/FlateEncode -dAutoRotatePages=/None RUnit.ps
RUnit.ps:  RUnit.dvi
	dvips RUnit
RUnit.dvi: RUnit.tex
									latex RUnit
	latex RUnit
clean:
	rm -f RUnit.aux RUnit.log RUnit.toc

=== debian/changelog ===
r-cran-runit (0.4.33-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Feb 2024 16:50:14 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-runit
 Vcs-Git: https://salsa.debian.org/edd/r-cran-runit.git
 Homepage: https://cran.r-project.org/package=RUnit

## r-cran-runit 0.4.33.1

=== DESCRIPTION ===
Package: RUnit
Version: 0.4.33.1
Date: 2024-02-09
Title: R Unit Test Framework
Authors@R: c(person(given = "Matthias",
                    family = "Burger",
                    role = "aut",
                    email = "burgerm@users.sourceforge.net"),
             person(given = "Klaus",
                    family = "Juenemann",
                    role = "aut",
                    email = "k.junemann@gmx.net"),
             person(given = "Thomas",
                    family = "Koenig",
                    role = "aut",
                    email = "thomas.koenig@epigenomics.com"),
             person(given = "Roman",
                    family = "Zenka",
                    role = "cre",
                    email = "zenka.roman@mayo.edu"))
LazyLoad: yes
Depends: R (>= 2.5.0), utils (>= 2.5.0), methods (>= 2.5.0), graphics
        (>= 2.5.0)
Suggests: XML (>= 3.1.0)
Description: R functions implementing a standard Unit Testing
        framework, with additional code inspection and report
        generation tools.
License: GPL-2
NeedsCompilation: no
Packaged: 2025-06-17 10:32:59 UTC; hornik
Repository: CRAN
Date/Publication: 2025-06-17 10:53:27 UTC
Author: Matthias Burger [aut],
  Klaus Juenemann [aut],
  Thomas Koenig [aut],
  Roman Zenka [cre]
Maintainer: Roman Zenka <zenka.roman@mayo.edu>

=== debian/changelog ===
r-cran-runit (0.4.33.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Jun 2025 14:01:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-runit
 Vcs-Git: https://salsa.debian.org/edd/r-cran-runit.git
 Homepage: https://cran.r-project.org/package=RUnit
